[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Problem invoking diff3.

From: Philip Martin <philip_at_codematters.co.uk>
Date: 2002-05-15 23:59:43 CEST

Kevin Pilch-Bisson <kevin@pilch-bisson.net> writes:

> Actually, before making the fix I just mentioned I decided to investigate the
> matter a little more.
>
> ftp.gnu.org has three versions of diffutils available: 2.7, 2.8, and 2.8.1.
>
> 2.7 behaves as you describe, 2.8 and 2.8.1 do as I describe, but have a
> --diff-program=/path/to/diff argument which we could use. However, this means
> we need to check the version of diff3 in configure. Yuck :(

Yuck indeed. Debian still ships 2.7 and RedHat appears to ship 2.7.2,
so the obvious move of simply requiring the latest version would not
be popular in Linux land :-(

-- 
Philip
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Thu May 16 00:00:41 2002

This is an archived mail posted to the Subversion Dev mailing list.